Package org.apache.storm.generated

# Class Nimbus.Processor.getUserTopology<I extends Nimbus.Iface>

java.lang.Object
org.apache.storm.thrift.ProcessFunction<I,Nimbus.getUserTopology_args>
org.apache.storm.generated.Nimbus.Processor.getUserTopology<I>

Enclosing class:
  Nimbus.Processor<I extends Nimbus.Iface>

public static class Nimbus.Processor.getUserTopology<I extends Nimbus.Iface> extends org.apache.storm.thrift.ProcessFunction<I,Nimbus.getUserTopology_args>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `getUserTopology()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Nimbus.getUserTopology_args`
  `getEmptyArgsInstance()`
  `Nimbus.getUserTopology_result`
  `getResult(I iface, Nimbus.getUserTopology_args args)`
  `protected boolean`
  `isOneway()`
  `protected boolean`
  `rethrowUnhandledExceptions()`

  ### Methods inherited from class org.apache.storm.thrift.ProcessFunction

  `getMethodName, process`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### getUserTopology

    public getUserTopology()

- ## Method Details

  - ### getEmptyArgsInstance

    public Nimbus.getUserTopology_args getEmptyArgsInstance()
    Specified by:
      `getEmptyArgsInstance` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.getUserTopology_args>`

  - ### isOneway

    protected boolean isOneway()
    Specified by:
      `isOneway` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.getUserTopology_args>`

  - ### rethrowUnhandledExceptions

    protected boolean rethrowUnhandledExceptions()
    Overrides:
      `rethrowUnhandledExceptions` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.getUserTopology_args>`

  - ### getResult

    public Nimbus.getUserTopology_result getResult(I iface, Nimbus.getUserTopology_args args) throws org.apache.storm.thrift.TException
    Specified by:
      `getResult` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.getUserTopology_args>`
    Throws:
      `org.apache.storm.thrift.TException`